#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9E,0x1E,0x7C,0xC2,0x0F,0xE2,0x5E,0xFB,0x1E,0x0E,0x14,0x37,
		0xD1,0x33,0x10,0xE1,0xFC,0xB1,0xE3,0xDA,0xE3,0x8D,0xD2,0xA3,
		0x60,0xDC,0x27,0xFF,0x01,0x57,0x08,0x76,0xC5,0x50,0x79,0xE5,
		0x3C,0x68,0xED,0x4E,0x44,0x0C,0xB3,0x28,0xE6,0x94,0xD1,0xFF,
		0x33,0xAF,0x3B,0x05,0xFA,0xD6,0x55,0x59,0x5D,0xE6,0x45,0x23,
		0x33,0x65,0x59,0xC3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
